Get call
curl --request GET \
--url https://api.getkarta.ai/public/v1/voice/calls/{call_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getkarta.ai/public/v1/voice/calls/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getkarta.ai/public/v1/voice/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"call_id": "call_example",
"call_status": "call_registered",
"agent_id": "agentexample",
"call_type": "sip_call",
"recording_link": null,
"transcript_link": null,
"post_call_analysis": null
}Calls
Get call
Retrieve a call’s status and details.
GET
/
voice
/
calls
/
{call_id}
Get call
curl --request GET \
--url https://api.getkarta.ai/public/v1/voice/calls/{call_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getkarta.ai/public/v1/voice/calls/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getkarta.ai/public/v1/voice/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"call_id": "call_example",
"call_status": "call_registered",
"agent_id": "agentexample",
"call_type": "sip_call",
"recording_link": null,
"transcript_link": null,
"post_call_analysis": null
}Recordings, transcripts, and analysis may be unavailable until processing completes.
Response
Successful response.